Oracle Enterprise Pack for Eclipse 12c (12.1.2.3)

System Requirements

  View the complete datasheet for Oracle Enterprise Pack for Eclipse

Requirements

  • MACOS Leopard - 64 bit
  • Windows XP ,Vista, Windows 7 - 32/64 bit
  • Oracle Enterprise Linux 5 - 32/64 bit
  • RedHat Linux 5 - 32/64 bit
  • Recommend 2GB memory for IDE and 2GB if running server locally
  • Note: WebLogic Server defaults to a large heap, which may be inappropriate for development. Changing the server start script can easily remedy the server memory usage.

Component Support at a glance

Eclipse Version

  • Eclipse IDE for Java EE Developers 4.3

Java Version for IDE

  • Sun or JRockit JDK 1.6
  • Sun JDK 1.7

Application Server

  • Oracle WebLogic Server® 12.1.x
  • Oracle WebLogic Server® 10.3.x
  • BEA WebLogic Server® 10.0
  • BEA WebLogic Server® 9.x
  • Oracle Coherence 3.5
  • Oracle Coherence 3.6.x
  • Oracle Coherence 3.7.x
  • Glassfish Server V3.x
  • Glassfish Server V4.0

Web Tools Platform provides server adapters for many non-Oracle servers. Refer to the Web Tools site for more details.

Database Version

  • Oracle Database 10g, 11g

Web App and Other Framework Versions

  • Spring 2.0, 2.5, 3.0
  • Oracle ADF 11.1.1.4, 11.1.1.5, 11.1.1.6, 11.1.1.7
  • EclipseLink 1.0, 1.0.1, 1.0.2, 1.1.x, 2.1
  • Kodo 4.2
  • Struts 1.1, 1.2, 1.3
  • JSF 1.1, 1.2 (SunRI, Apache myFaces), 2.x
  • JSTL 1.1, 1.2
  • Apache Trinidad 1.0, 1.2

 

 

Oracle Cloud Support

 

Data Center and IDE Support Matrix

The following table describes which versions of OEPE support the current Oracle Cloud Data Centers

 

Data Center
OEPE 12.1.2.2 and older
OEPE 12.1.2.3
US Commercial 1
 
X
US Commercial 2
X
 
EMEA Commercial 1
X
 
EMEA Commercial 2
X
 
APAC Commercial 1
X
 
APAC Commercial 2
X